commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thomas Mueller" <hyper...@gmx.net>
Subject Re: [DbUtils] Generic BasicRowProcessor toBeanList
Date Wed, 12 Jul 2006 07:26:33 GMT
> You would lose backwards compatibility with 1.3 and 1.4.

Sure, at least at compile time (I'm sure about runtime, as I said I'm not a generics expert).
The 'generic' version(s) could be in another package or class clearly marked as that. For
example 

org.apache.commons.dbutils.generic.BasicRowProcessor
or
org.apache.commons.dbutils.GenericBasicRowProcessor

It looks a little verbose, and maybe somebody finds a better solution. But at some point you
have to make the switch to JDK 1.5. This here may not be the most important case, but you
have to start somewhere. Otherwise, people will use another library (= not use the commons
libraries) for JDK 1.5.

Thomas

-- 


Echte DSL-Flatrate dauerhaft für 0,- Euro*!
"Feel free" mit GMX DSL! http://www.gmx.net/de/go/dsl

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message